// Sample data for featured businesses
const featuredBusinesses = [
  {
    name: "The Green Cafe",
    category: "Restaurant",
    location: "Downtown",
    image: "/images/green-cafe.jpg",
    description: "Organic and locally sourced dishes"
  },
  {
    name: "Urban Style",
    category: "Clothing Store",
    location: "Midtown",
    image: "/images/urban-style.jpg",
    description: "Trendy fashion for urban lifestyles"
  },
  {
    name: "Tech Solutions",
    category: "IT Services",
    location: "Uptown",
    image: "/images/tech-solutions.jpg",
    description: "Your complete IT support partner"
  }
];

// Function to create business cards
function createBusinessCard(business) {
  const card = document.createElement('div');
  card.className = 'business-card';
  card.innerHTML = `
    <img src="${business.image}" alt="${business.name}">
    <div class="business-info">
      <h3>${business.name}</h3>
      <p>${business.category} - ${business.location}</p>
      <p>${business.description}</p>
    </div>
  `;
  return card;
}

// Populate featured businesses section
const businessGrid = document.querySelector('.business-grid');
featuredBusinesses.forEach(business => {
  const card = createBusinessCard(business);
  businessGrid.appendChild(card);
});

// Search functionality
const searchForm = document.querySelector('.search-form');
searchForm.addEventListener('submit', function(e) {
  e.preventDefault();
  const searchTerm = this.querySelector('input').value;
  // Implement search functionality here
  console.log(`Searching for: ${searchTerm}`);
});